### Method

# FwupdPlugin CborItem map_index

since: 2.1.2

#### Declaration [src]

    void
    fu_cbor_item_map_index (
      FuCborItem* self,
      guint idx,
      FuCborItem** item_key,
      FuCborItem** item_value
    )

#### Description [src]

Gets a specific pair from a map.

Available since: 2.1.2

This method is not directly available to language bindings.

#### Parameters

`idx`

  Type: `guint`

  An index.

`item_key`

  Type: `FuCborItem`

  Key.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`item_value`

  Type: `FuCborItem`

  Value.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.